#ifndef INCLUDED_snow_types_TextEventType
#define INCLUDED_snow_types_TextEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,TextEventType)
namespace snow{
namespace types{


class TextEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef TextEventType_obj OBJ_;

	public:
		TextEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.TextEventType"); }
		::String __ToString() const { return HX_CSTRING("TextEventType.") + tag; }

		static ::snow::types::TextEventType edit;
		static inline ::snow::types::TextEventType edit_dyn() { return edit; }
		static ::snow::types::TextEventType input;
		static inline ::snow::types::TextEventType input_dyn() { return input; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_TextEventType */ 
